List all comments on an issue
const url = 'https://gitea.example.com/api/v1/repos/example/example/issues/1/comments';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/repos/example/example/issues/1/comments \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Owner of the repo
Name of the repo
Index of the issue
Query Parameters
Section titled “Query Parameters”If provided, only comments updated since the specified time are returned.
If provided, only comments updated before the provided time are returned.
Responses
Section titled “Responses”CommentList
Comment represents a comment on a commit or issue
object
Attachment a generic attachment
object
User represents a user
object
Is user active
URL to the user’s avatar
The user’s description
User counts
The user’s full name
URL to the user’s gitea page
The user’s id
Is the user an administrator
User locale
The user’s location
The user’s username
The user’s authentication sign-in name.
Is user login prohibited
Is user restricted
The ID of the user’s Authentication Source
User visibility level option: public, limited, private
The user’s website
Example
[ { "user": { "login_name": "empty" } }]APINotFound is a not found empty response